<app-nav-menu></app-nav-menu>
<h1>Liste des référents</h1>

<mat-table matSort [dataSource]="dataSource">
  <ng-container matColumnDef="agence">
    <mat-header-cell *matHeaderCellDef mat-sort-header>Agence</mat-header-cell>
    <mat-cell *matCellDef="let row">{{ row.agence}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="referent">
    <mat-header-cell *matHeaderCellDef mat-sort-header>Référent</mat-header-cell>
    <mat-cell *matCellDef="let row" [routerLink]="['/referents', row.id]">{{row.prenom}} {{row.nom}}</mat-cell>
  </ng-container>


  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>
